nasardf/urls.py
from django.contrib import admin
from django.urls import path, include
from django.views.generic import RedirectView
from django.conf import settings
from django.conf.urls.static import static
from django.conf.urls import url


from rdf_web import urls as tbm_home

urlpatterns = [
    path('home/', include((tbm_home, 'home'), namespace='home')),
    path('admin/', admin.site.urls),
    url(r'^$', RedirectView.as_view(url='home/')),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

rdf_web/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('search',views.search, name='search'),
    path('search/<str:label>/', views.detail, name='detail'),
]

rdf_web/models.py
from django.db import models

# Create your models here.

rdf_web/views.py
from django.shortcuts import render
from rdflib import Graph
from django.contrib.staticfiles.storage import staticfiles_storage

from .utils import get_list , get_local_item , get_global_item, provide_prefix

def index(request):
    return render(request, 'searches/search_box.html')

def search(request):
    input_search = request.POST.get('search')
    
    qres = get_list(input_search)

    form = {"result":[]}
    for row in qres:
        try:
            homebaseurl = "http://semantic-web-normal.herokuapp.com/home/search"
            form["result"].append({"obj":provide_prefix(row[0]),"label":str(row[1]),"url":homebaseurl+"/"+provide_prefix(row[0])})
        except KeyError:
            continue
    print(form)
    return render(request, 'searches/search_result.html', form)

def detail(request, label):
    form = {"result":[],"label":label}
    
    if label.startswith("ex:"): # Berati ada di dataset kita
        result = get_local_item(label)
        for row in result:
            form["result"].append({"obj":row[0],"label":row[2]})
    else:
        result = get_global_item(label)
        print("#",result)
        for row in result:
            print(row)
            form["result"].append({"obj":row[0] ,"label":row[2]})
    
    print(form)
    return render(request, 'searches/search_item.html', form)

templates/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="description" content="LAB 4">
    <meta name="author" content="Kelompok">
    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">    

    <title> 
        {% block title %} Nasa {{author}}{% endblock %}
    </title>

    {% block mycss %} {% endblock mycss %}
</head>

<body>
    <header>
        {% include "templates/partials/header.html" %}
    </header>
    <content>
        <div class="container">
            {% block content %}
                <!-- content goes here -->
            {% endblock %}
        </div>

    </content>
    <footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
        {% include "templates/partials/footer.html" %}
        {% endblock %}
    </footer>

    <!-- Jquery n Bootstrap Script -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</body>
</html>

templates/searches/search_box.html
{% extends 'base.html' %}
{% block content %}
<h1>Semantic Web ToT</h1>
<style>
form.example input[type=text] {
  padding: 10px;
  font-size: 16px;
  border: 1px solid grey;
  float: left;
  width: 80%;
  background: #f1f1f1;
}
form.example button:hover {
  background: #0b7dda;
}
</style>
<!-- The form to searching NASA's-->
<form action="{% url 'home:search' %}" method="POST">
  {% csrf_token %}
    <input type="text" placeholder="Search.." name="search">
    <button>Go!</button>
</form>
{% endblock %}

templates/searches/search_item.html
{% extends 'base.html' %}
{% block mycss %}
<style>
		table, th, td {
		  border: 1px solid black;
		}
</style>
{% endblock %}
{% block content %}
    <h5>{{ label }}</h5>
	<table>
	<tr>
		<th>Predicate</th>
		<th>Object</th>
	</tr>
	{% for data in result %}
	<tr>
		<td>
			{{ data.obj }}
			
		</td>
		<td>
			{{ data.label }}
		</td>
	</tr>
	{% endfor %}
</table>
{% endblock %}

templates/searches/search_result.html
{% extends 'base.html' %}

{% block mycss %}
<style>
		table, th, td {
		  border: 1px solid black;
		}
</style>
{% endblock %}

{% block content %}
	<table>
	<tr>
		<th>Label</th>
		<th>Object</th>
	</tr>
	{% for data in result %}
	<tr>
		<td>
			{{ data.label }}

		</td>
		<td>
			<strong><a href="{{ data.url }}">{{ data.obj }}</a></strong>
		</td>
	</tr>
	{% endfor %}
</table>
{% endblock %}

templates/templates/partials/footer.html
//footer
<p>Created By Andika Hanavian Atmam, Kerenza Doxolodeo, and Dennis Febri Dien</p>

templates/templates/partials/header.html
<!-- Fixed navbar -->
 <nav class="navbar navbar-default navbar-static-top">
   <div class="container">
     <div class="navbar-header">
     </div>
     <div id="navbar" class="navbar-collapse collapse">
       <ul class="nav navbar-nav">
       </ul>
     </div>
   </div>
 </nav>